input_b = (50, 36, 153, 128, 71, 23, 75, 55, 208, 121) 
n = 223

solution = list()

for b in input_b:
    x = 1
    while True:
        if (3**x)%n == b:
            solution.append(x)
            break
        x += 1

print(solution)